Subject: Re: Cygwin/X11/QT3.3.3/Scribus1.3CVS: ./configure errors
From: "Gerrit P. Haase" <[email-masked]>
To: Steven Boothe <[email-masked]>
Cc: [email-masked]
Date: Thu, 24 Mar 2005 12:16:15 +0100

Steven Boothe wrote:
> Gerrit P. Haase wrote:
>>> configure:2620: gcc -fdata-sections  -Wl, --enable-runtime-pseudo-reloc,
>>> --script, /opt/qt/3.3/mkspecs/cygwin-g++/i386pi.x-no-rdata 
>>> conftest.c  >&5
>>> gcc: /opt/qt/3.3/mkspecs/cygwin-g++/i386pi.x-no-rdata: No such file 
>>> or directory
>>> cc1: error: unrecognized option `-fenable-runtime-pseudo-reloc,'
>>> cc1: error: unrecognized option `-fscript,'
>>> configure:2623: $? = 1
>>> configure: failed program was:
>>> | /* confdefs.h.  */ 

>> What are all the flags doing?  Have you tried without using them?

Since the flags are C++ it is possible that the C compiler fails?

Iff so, it is an autoconf problem.  Which version of the autotools are
used?

> Hello Gerrit:
> 
> Thanks for inquiring and offering the suggestion. It appears we have 
> made some headway beyond this being the configure process now. In fact 
> at this point I'm not sure the problem is likely very related to cygwin 
> as much as it is QT. Here is why I think that (does anyone think I may 
> find some help from cygwin-xfree?):
[...snip...]
> $ make
> .... 
> ..libs/pdflib.o(.text$_ZN11QMapPrivateI7QStringS0_E5clearEP8QMapNodeIS0_S0_E[QMapPrivate<QString, 
> QString>::clear(QMapNode<QString, QString>*)]+0x3f):pdflib.cpp: undefined reference to 
> `QString::shared_null'
[...snip...]

Something wrong with QT?  What was the command issued before this error?
Usually it is important to put the import libs in the right order.

-- 
=^..^=

Action Soccer: http://www.action-soccer.de/?lv=de&id=505
(german online game)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/